//
//  SITPOIBase.h
//  SitumSDK
//
//  Created by A Barros on 14/4/15.
//  Copyright (c) 2015 Situm. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "SITPOICategory.h"

/**
 Base interface for `SITPOI`
 */
@interface SITPOIBase : NSObject

#pragma mark - Properties

/**
 *  Name
 */
@property (nonatomic, strong) NSString *name;

/**
 *  Additional information about the POI in an HTML format
 */
@property (nonatomic, strong) NSString *info;

/**
 *  Relationship to a SITPOICategory object
 */
@property (nonatomic, strong) SITPOICategory *category;

/**
 *  Key-value property with addicional information. 
 *  NOTE: You can use this property to associate any arbitrary info with this POI. Situm SDK for iOS does not make operations with this field.
 */
@property (nonatomic, strong) NSDictionary *customFields;

#pragma mark - Deprecated

/// :nodoc:
@property (nonatomic, strong) NSNumber *identifier __attribute__((deprecated("Use identifier property of the SITResource base class instead")));

/// :nodoc:
@property (nonatomic, strong) NSNumber *project_identifier __attribute__((deprecated("Use buildingIdentifier property of the SITResource base class instead")));

/// :nodoc:
@property (nonatomic, strong) NSNumber *categoryIdentifier __attribute__((deprecated("Use category.identifier property of the category field instead")));

/// :nodoc:
@property (nonatomic, strong) NSNumber *typeIdentifier __attribute__((deprecated));

/// :nodoc:
@property (nonatomic, strong) NSString *typeName __attribute__((deprecated));

@end
